http_port 3128
icp_port 3130

acl QUERY urlpath_regex cgi-bin \?
no_cache deny QUERY

cache_mem 128 MB
cache_dir ufs /cache 5000 16 256

cache_log /var/log/squid/cache.log
cache_access_log /var/log/squid/access.log
cache_store_log /var/log/squid/store.log
cache_swap_log /var/log/squid/swap.log
logfile_rotate 0

err_html_text adshintre@yahoo.com

redirect_rewrites_host_header off
cache_replacement_policy GDSF

auth_param basic program /usr/lib/squid/ncsa_auth /usr/local/squid/etc/passwd
auth_param basic children 5
auth_param basic realm Squid proxy-caching web server
auth_param basic credentialsttl 2 hours

error_directory /usr/local/squid/share/errors/English

acl Safe_ports port 80 443 210 119 70 20 21 1080 3128 3130 4000 3450 4020 1863 5000-5010 5050 5100 5190 5190-5193 5631 5632 6498 6502 2327 6665-6669 6801 8000 8001 8080

http_access deny !Safe_ports

acl IP1 src 192.168.0.78
http_access deny IP1

acl CONNECT method CONNECT
acl all src 0.0.0.0/0.0.0.0

http_access deny CONNECT

acl localnet src 192.168.0.0/255.255.255.0
acl localhost src 127.0.0.1/255.255.255.255

http_access allow localnet
http_access allow localhost

http_access deny all

maximum_object_size 3000 KB
store_avg_object_size 50 KB

httpd_accel_host virtual
httpd_accel_port 80
httpd_accel_with_proxy on
httpd_accel_uses_host_header on
 
cache_mgr your@email
cachemgr_passwd secret_password all
 
cache_effective_user squid
cache_effective_group squid
 
log_icp_queries off
buffered_logs on
 
visible_hostname nerworkshastri
 

acl tech src 192.168.0.23
delay_pools 1 #Number of delay_pool 1
delay_class 1 1 #pool 1 is a delay_class 1
delay_parameters 1 100/100
delay_access 1 allow tech




